commit:     00dc1f6fa36feb4956d4d28fb50013c28bf10188
Author:     Philippe-Alexandre Mathieu <pamathieu <AT> poum <DOT> ca>
AuthorDate: Fri Jan  3 17:42:57 2025 +0000
Commit:     Philippe-Alexandre Mathieu <pamathieu <AT> poum <DOT> ca>
CommitDate: Fri Jan  3 17:42:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=00dc1f6f

gui-apps/swww: add 9999

Signed-off-by: Philippe-Alexandre Mathieu <pamathieu <AT> poum.ca>

 gui-apps/swww/swww-9999.ebuild | 52 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/gui-apps/swww/swww-9999.ebuild b/gui-apps/swww/swww-9999.ebuild
new file mode 100644
index 000000000..34f66d248
--- /dev/null
+++ b/gui-apps/swww/swww-9999.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cargo git-r3 shell-completion
+
+DESCRIPTION="Efficient animated wallpaper daemon for wayland, controlled at 
runtime"
+HOMEPAGE="https://github.com/LGFae/swww";
+EGIT_REPO_URI="https://github.com/LGFae/swww.git";
+
+LICENSE="GPL-3"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+       Unicode-DFS-2016
+"
+SLOT="0"
+
+DEPEND="
+       app-arch/lz4:=
+       x11-libs/libxkbcommon[wayland]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       app-text/scdoc
+"
+
+QA_FLAGS_IGNORED="
+       usr/bin/${PN}
+       usr/bin/${PN}-daemon
+"
+
+src_unpack() {
+       git-r3_src_unpack
+       cargo_live_src_unpack
+}
+
+src_compile() {
+       cargo_src_compile
+       ./doc/gen.sh || die # generate man pages
+}
+
+src_install() {
+       dobin "$(cargo_target_dir)"/swww{,-daemon}
+       doman doc/generated/*.1
+
+       dodoc README.md CHANGELOG.md
+       newbashcomp completions/swww.bash swww
+       dofishcomp completions/swww.fish
+       dozshcomp completions/_swww
+}

Reply via email to